<?php
/*
=====================================================
 SEO Модуль - Xml карта новости
=====================================================
 Автор модуля: DomiTori
-----------------------------------------------------
 Сайт автора: https://domitori.ru/
=====================================================
*/

defined("DATALIFEENGINE") || die("Hack");

$news_map_link = $config['http_home_url'] . "uploads/newsmap/" . $row['id'] . ".xml";
$map_check = ROOT_DIR. "/uploads/newsmap/" . $row['id'] . ".xml";
if (!file_exists($map_check))
{
	$xfieldsdata = xfieldsdataload( $row['xfields'] );

	$news_map = '<?xml version="1.0" encoding="utf-8"?>' . PHP_EOL;
	$news_map .= '<ovs:video xmlns:ovs="http:webmaster.yandex.ru/schemas/video" xmlns:xsi="http:www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http:webmaster.yandex.ru/schemas/video">' . PHP_EOL;
	$news_map .= "\t".'<ovs:content_id>'.$row['id'].'</ovs:content_id>' . PHP_EOL;
	$news_map .= "\t".'<ovs:url>'.$full_link.'</ovs:url>' . PHP_EOL;
	$news_map .= "\t".'<ovs:thumbnail>'.$xfieldsdata['screen1'].'</ovs:thumbnail>' . PHP_EOL;
	$news_map .= "\t".'<ovs:poster>'.$xfieldsdata['poster'].'</ovs:poster>' . PHP_EOL;
	$news_map .= "\t".'<ovs:title>'.$xfieldsdata['name_russian'].'</ovs:title>' . PHP_EOL;
	$news_map .= "\t".'<ovs:description>'.$row['full_story'].'</ovs:description>' . PHP_EOL;
	$news_map .= "\t".'<ovs:upload_date>'.date( 'c', $row['date'] ).'</ovs:upload_date>' . PHP_EOL;
	$second = $xfieldsdata['duration']*60;
	$news_map .= "\t".'<ovs:duration>'.$second.'</ovs:duration>' . PHP_EOL;
	$news_map .= "\t".'<ovs:adult>no</ovs:adult>' . PHP_EOL;

	if(in_array($category_id, array(6, 7)))
		$news_map .= "\t".'<ovs:category>movie</ovs:category>' . PHP_EOL;
	elseif(in_array($category_id, array(1, 2, 3, 4, 5)))
		$news_map .= "\t".'<ovs:category>tvseries</ovs:category>' . PHP_EOL;
	else
		$news_map .= "\t".'<ovs:category>trailer</ovs:category>' . PHP_EOL;

	$news_map .= "\t".'<ovs:allow_embed>yes</ovs:allow_embed>' . PHP_EOL;
	$news_map .= "\t".'<ovs:embed_html><![CDATA[<iframe width="640" height="408" src="'.$xfieldsdata['althernative'].'" frameborder="0" allowfullscreen></iframe>]]></ovs:embed_html>' . PHP_EOL;
	$news_map .= "\t".'<ovs:movie>' . PHP_EOL;
	$news_map .= "\t\t".'<ovs:original_name>'.$xfieldsdata['name_original'].'</ovs:original_name>' . PHP_EOL;
	$news_map .= "\t\t".'<ovs:release_date>'.$xfieldsdata['premiere'] . "T" . date( 'H:i:s', $row['date'] ).'</ovs:release_date>' . PHP_EOL;
	$news_map .= "\t".'</ovs:movie>' . PHP_EOL;
	$news_map .= "\t".'</ovs:video>';

	$handler = fopen($map_check, "w+");
	fwrite($handler, $news_map);
	fclose($handler);
}

$tpl->set( '{news_map}', $news_map_link );

?>